Skip to main content
POST
POST /api/places/autocomplete

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
input
string
required
Required string length: 1 - 200
sessionToken
string
required
Pattern: ^[A-Za-z0-9_-]{16,36}$
countryCode
string
Pattern: ^[A-Z]{2}$
languageCode
string
Pattern: ^[a-z]{2,3}(-[A-Za-z0-9]{2,8})?$

Response

Success

available
boolean
required
suggestions
object[]
required
problem
string
Maximum string length: 200